;; Script Emacs pour exporter en HTML et Org des fichiers .org.
;;
;; Copyright (C) 2022 rick G. <rick@gnous.eu>
;; 
;; This program is free software: you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free Software
;; Foundation, either version 3 of the License, or (at your option) any later
;; version.
;; 
;; This program is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;; FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License along with
;; this program. If not, see <https://www.gnu.org/licenses/>.

(require 'ox-publish)
(require 'htmlize)
(setq  org-publish-use-timestamps-flag nil)
(setq org-publish-project-alist
      '(
	("nec"
	 :base-directory "nec"
	 :base-extension "org"
     :exclude "cheatsheets"
	 :publishing-directory "www/nec"
	 :recursive t
     :email "rick@gnous.eu"
     :author "rick"
     :with-email t
     :language fr
	 :auto-sitemap t
	 :sitemap-title "Notes et Cheatsheets"
     :htmlized-source t
     :html-link-home "/"
	 :publishing-function (org-html-publish-to-html  org-org-publish-to-org)
;	 :auto-preamble t
	)
))
(org-publish-project "nec")
